/* Paleta de colores */
:root {
    --color-primary: #000A20;     /* Azul primario */
    --color-secondary: #8a6cfc;   /* Violeta secundario */
    --color-accent: #ff9900;      /* Naranja brillante para acentos */
    --color-background: #ffffff;  /* Fondo gris claro */
    --color-text: #333;           /* Texto oscuro */
    --color-text-light: #888;     /* Texto más claro */
}


/* Estilos generales */

h1{
  font-size: 3em;
}
h2{
  margin: 0px;
}

/* Estilo para los iconos de redes sociales */
.social-icon {
    font-size: 30px;
    margin-right: 10px;
    color: #333; /* Cambia el color a tu preferencia */
}


 @keyframes moverArriba {
     0% {
         background-position: 0% 0%;
     }
     100% {
         background-position: 0% 100%; /* Mover la imagen hacia arriba (100%) */
     }
 }

.container {
    max-width: 1200px;
    margin: 0 auto;
}

body{
  background-attachment: fixed;
}

/* Encabezado y navegación */
header {
    background-color: var(--color-primary);
    color: #fff;
    text-align: center;
}

nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
}

nav ul li a:hover {
    color: #ff9900;
}

.logo img {
    max-width: 100px;
}

.banner {
    margin-top: 20px;
}

.banner h1 {
    font-size: 36px;
    margin-bottom: 10px;
}


/* Pie de página */
footer {
    background-color: #333;
    text-align: center;
    padding: 10px 0;
}

footer p {
    font-size: 14px;
}

/* Estilos adicionales para otras secciones y elementos */

nav ul li a {
    color: #fff;
    /* ... */
}

/* Sección Acerca de */


#acerca h2 {
    color: var(--color-primary);
    /* ... */
}

/* Pie de página */
footer {
    background-color: var(--color-secondary);
    /* ... */
}

/* Estilos para el menú de navegación */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    font-size: 1.5vw;
    color: #fff;
}

.navbar-logo img {
    max-width: 100px;
}

.navbar-toggle {
    display: none; /* Ocultar el botón de menú en pantallas grandes */
    cursor: pointer;
}

.navbar-toggle span {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #fff;
    margin: 5px auto;
    transition: transform 0.3s, opacity 0.3s;
}

.navbar-menu {
    list-style: none;
    display: flex;
    gap: 20px;
    padding: 10px 0px 10px 0px;
}

.navbar-menu li a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
}

.navbar-menu li a:hover {
    color: #ff9900;
}

/* Estilos para el menú de navegación responsivo */
@media (max-width: 1000px) {
    .navbar-menu {
        display: none; /* Ocultar el menú en pantallas pequeñas */
        flex-direction: column;
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        background-color: #333;
        z-index: 1;
    }

    .navbar-menu li {
        color: #fff;
        text-decoration: none;
        padding-bottom: 10px;
        transition: color 0.3s;
    }

    .navbar {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px;
        font-size: 5vw;
        color: #fff;
    }

    .navbar-toggle {
        display: block; /* Mostrar el botón de menú en pantallas pequeñas */
    }

    .navbar-toggle.active span:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .navbar-toggle.active span:nth-child(2) {
        opacity: 0;
    }

    .navbar-toggle.active span:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .navbar-toggle.active + .navbar-menu {
        display: flex;
    }
}

.topside{
  margin: auto;
  align-items: center;
  text-align: center;
}
/* Icono red social */
.iconoredsocial{
  max-width: 32px;
}

/*En tu hoja de estilos */
a:link, a:visited, a:active {
    text-decoration:none;
}
